# urlinfo_s Struct Reference
[URL Manipulation API.]

URL control structure. More...

`#include <rpmurl.h>`

## Data Fields
char * | url
char * | scheme
char * | user
char * | password
char * | host
char * | portstr
char * | proxyu
char * | proxyh
int | proxyp
int | port
int | urltype
int | openError
int | magic

## Detailed Description

URL control structure.

Definition at line 30 of file rpmurl.h.

## Field Documentation

char* urlinfo_s::host

URI host.

Definition at line 35 of file rpmurl.h.

int urlinfo_s::magic

Definition at line 43 of file rpmurl.h.

int urlinfo_s::openError

Type of open failure

Definition at line 42 of file rpmurl.h.

char* urlinfo_s::password

URI password.

Definition at line 34 of file rpmurl.h.

int urlinfo_s::port

URI port.

Definition at line 40 of file rpmurl.h.

char* urlinfo_s::portstr

URI port string.

Definition at line 36 of file rpmurl.h.

char* urlinfo_s::proxyh

FTP/HTTP: proxy host

Definition at line 38 of file rpmurl.h.

int urlinfo_s::proxyp

FTP/HTTP: proxy port

Definition at line 39 of file rpmurl.h.

char* urlinfo_s::proxyu

FTP: proxy user

Definition at line 37 of file rpmurl.h.

char* urlinfo_s::scheme

URI scheme.

Definition at line 32 of file rpmurl.h.

char* urlinfo_s::url

copy of original url

Definition at line 31 of file rpmurl.h.

int urlinfo_s::urltype

URI type.

Definition at line 41 of file rpmurl.h.

char* urlinfo_s::user

URI user.

Definition at line 33 of file rpmurl.h.

The documentation for this struct was generated from the following file:

- rpmurl.h